Subject: Re: bug#76107: Consider image specs when scanning for a column

From: Thuna <[email-masked]>
Date: Thu, 20 Mar 2025 18:14:35 +0100

>> So far, I have only had two related issues: The width calculation is
>> incorrect when dealing with characters which are not full-sized (they
>> are being calculated as though they were full-sized)
>
> Sorry, I don't understand: is this due to my patch?  My patch isn't
> supposed to touch the case of characters, only that of inline images.
> Was this problem present before my patch?  If not, can you show an
> example of it?

No, sorry, I didn't mean to imply that.  This was happening before as
well, but it's similar enough, so I figured I would bring it up in case
a small tweak is enough to fix it.

> Hmm... you say "there is an image from line start to point", but in
> the example you show the image is not at the beginning of a line.  Did
> I misunderstand what you are describing?

I was referring to an image being present somewhere in the line before
the point, but the patch seems to have fixed it, so that's fine.